Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNotifyFilter::InvalidConstraint Exception Reference

Exception raised if a constraint's grammar does not match the Filter grammar. More...

`import "CosNotifyFilter.idl";`

Collaboration diagram for CosNotifyFilter::InvalidConstraint:

[legend]
List of all members.

## Public Attributes
ConstraintExp | constr
| Constraint that caused the problem.

## Detailed Description

Exception raised if a constraint's grammar does not match the Filter grammar.

Exceptions:

  InvalidConstraint |

The constraint that is deemed invalid is returned as part of the exception.

## Member Data Documentation

ConstraintExp CosNotifyFilter::InvalidConstraint::constr

| Constraint that caused the problem.

The documentation for this exception was generated from the following file:

- CosNotifyFilter.idl